Package org.eclipse.emf.cdo.spi.server

# Interface IAuthenticationProtocol

All Known Subinterfaces:
  `ISessionProtocol`

public interface IAuthenticationProtocol

Since:
  4.3
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.net4j.util.security.DiffieHellman.Client.Response`
`sendAuthenticationChallenge(org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge)`
Sends a challenge to the client to authenticate the user attempting to or already connected.
`org.eclipse.net4j.util.security.DiffieHellman.Client.Response`
`sendCredentialsChallenge(org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge, String userID, org.eclipse.net4j.util.security.CredentialsUpdateOperation operation)`
Sends a challenge to the client to change the authenticated user's credentials.

## Method Details

### sendAuthenticationChallenge

org.eclipse.net4j.util.security.DiffieHellman.Client.Response sendAuthenticationChallenge(org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge) throws Exception
Sends a challenge to the client to authenticate the user attempting to or already connected.

Throws:
  `Exception`
Since:
  4.2

### sendCredentialsChallenge

org.eclipse.net4j.util.security.DiffieHellman.Client.Response sendCredentialsChallenge(org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge challenge, String userID, org.eclipse.net4j.util.security.CredentialsUpdateOperation operation) throws Exception
Sends a challenge to the client to change the authenticated user's credentials. This is an optional operation; implementors may simply throw `UnsupportedOperationException`.

Throws:
  `UnsupportedOperationException` - if credentials change is not supported
  `Exception`
Since:
  4.3